| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | List of all members
TBBMessageSvc::MessageWithoutLevel Class Reference

Specialized class to report a message with implicit output level. More...

Inheritance diagram for TBBMessageSvc::MessageWithoutLevel:
[legend]
Collaboration diagram for TBBMessageSvc::MessageWithoutLevel:
[legend]

## Public Member Functions
| MessageWithoutLevel (TBBMessageSvc &svc, Message msg)
void | run () override
| Method to be implemented by the actual task classes. More...
Public Member Functions inherited from TBBMessageSvc::MessageTaskCommon
| MessageTaskCommon (TBBMessageSvc &svc)
Public Member Functions inherited from Gaudi::SerialTaskQueue::WorkItem
virtual | ~WorkItem ()

## Private Attributes
Message | m_msg

## Additional Inherited Members
Protected Attributes inherited from TBBMessageSvc::MessageTaskCommon
TBBMessageSvc & | m_svc
std::thread::id | m_sender

## Detailed Description

Specialized class to report a message with implicit output level.

Definition at line 62 of file TBBMessageSvc.h.

## Constructor & Destructor Documentation

## ◆ MessageWithoutLevel()

TBBMessageSvc::MessageWithoutLevel::MessageWithoutLevel | ( | TBBMessageSvc & | svc,
|  | Message | msg
| ) |  |
| inline

Definition at line 64 of file TBBMessageSvc.h.

64 : MessageTaskCommon( svc ), m_msg( msg ) {}
CommonMessagingBase::msg
MsgStream & msg() const
shortcut for the method msgStream(MSG::INFO)
Definition: CommonMessaging.h:113
TBBMessageSvc::MessageTaskCommon::MessageTaskCommon
MessageTaskCommon(TBBMessageSvc &svc)
Definition: TBBMessageSvc.h:42
TBBMessageSvc::MessageWithoutLevel::m_msg
Message m_msg
Definition: TBBMessageSvc.h:71

## Member Function Documentation

## ◆ run()

void TBBMessageSvc::MessageWithoutLevel::run | ( |  | ) |
| inline override virtual

Method to be implemented by the actual task classes.

Implements Gaudi::SerialTaskQueue::WorkItem.

Definition at line 65 of file TBBMessageSvc.h.

65 {
66 const int level = m_svc.outputLevel( m_msg.getSource() );
67 m_svc.i_reportMessage( m_msg, level );
68 }
MessageSvc::i_reportMessage
virtual void i_reportMessage(const Message &msg, int outputLevel)
Internal implementation of reportMessage(const Message&,int) without lock.
Definition: MessageSvc.cpp:356
Message::getSource
const std::string & getSource() const
Get the message source.
Definition: Message.cpp:78
TBBMessageSvc::MessageTaskCommon::m_svc
TBBMessageSvc & m_svc
Definition: TBBMessageSvc.h:45
gaudirun.level
level
Definition: gaudirun.py:334
MessageSvc::outputLevel
int outputLevel() const override
Definition: MessageSvc.cpp:566
TBBMessageSvc::MessageWithoutLevel::m_msg
Message m_msg
Definition: TBBMessageSvc.h:71

## Member Data Documentation

## ◆ m_msg

Message TBBMessageSvc::MessageWithoutLevel::m_msg
| private

Definition at line 71 of file TBBMessageSvc.h.

The documentation for this class was generated from the following file:

- GaudiCoreSvc/src/MessageSvc/TBBMessageSvc.h